aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Spek <p.spek@tyil.nl>2023-03-08 10:12:23 +0100
committerPatrick Spek <p.spek@tyil.nl>2023-03-08 10:12:23 +0100
commit9575bf831765033243743f026fcaabc9a02e9f78 (patch)
treea2c34820573c4c0adbba7463e23cca81b4fa0670
parente6af4b9162352c9cad7a7d38aa80236b10d375a9 (diff)
Add --init to initialize new submodules
-rw-r--r--lib/subcommands/pull.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/lib/subcommands/pull.bash b/lib/subcommands/pull.bash
index 42a51e1..dad7e52 100644
--- a/lib/subcommands/pull.bash
+++ b/lib/subcommands/pull.bash
@@ -17,6 +17,6 @@ subcommand()
[[ -n $dirty ]] && git -C "$BASHTARD_ETCDIR" stash
git -C "$BASHTARD_ETCDIR" pull origin master || return 4
- git -C "$BASHTARD_ETCDIR" submodule update --recursive --remote || return 4
+ git -C "$BASHTARD_ETCDIR" submodule update --init --recursive --remote || return 4
[[ -n $dirty ]] && git -C "$BASHTARD_ETCDIR" stash pop
}